Package org.codehaus.groovy.tools

# Class FileSystemCompiler.CompilationOptions

java.lang.Object
org.codehaus.groovy.tools.FileSystemCompiler.CompilationOptions

Enclosing class:
  FileSystemCompiler

public static class FileSystemCompiler.CompilationOptions extends Object

Since:
  2.5

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompilationOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `generateFileNames()`
  `CompilerConfiguration`
  `toCompilerConfiguration()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CompilationOptions

    public CompilationOptions()

- ## Method Details

  - ### toCompilerConfiguration

    public CompilerConfiguration toCompilerConfiguration() throws IOException
    Throws:
      `IOException`

  - ### generateFileNames

    public String[] generateFileNames()